Subject: Editing under OS/2... some answers please.

From: [email-masked] (Christopher H. Graham)
Date: Mon, 06 Jun 1994 22:54:28 -0400

What is the effect of the (ed) function supposed to be in CLISP under
OS/2 2.1 ? (ed) appears to run my editor (EPM.EXE), monitor the
temporary .lsp file 'lisptemp.lsp' for the EOF condition, and then load
the revised code.

If, for example, I edit a function 'fun' with (ed #'fun), the definition
of (fun) is never updated.

Another, different, problem: changing 'config.lsp' (as I recall this is
the name of the CLISP basic configuratin file) to specify the OS/2 editor
ED.EXE, simply results in NIL being returned when (ed) is invoked. What's
going on here?

Another, different, problem: occasionally, when using EPM.EXE as my editor,
the call to (ed) will fail because EPM.EXE cannot allocate a Presentation
Space handle. Any ideas vis a vis CLISP ?

      Thank-you for any assistance...

          Chris Graham,
          VisualAge Software Consulting